<!DOCTYPE html>
<html lang="en">
<head>
	<title>Footnotes</title>
	<script id="ps-options" type="application/json">{ "logLevel": "debug", "plugins": [ [ "ps-performances", { "pagesDetails":  true } ] ]}</script>
	<style>
		@page {
			margin: 1cm;

			-ps-areas: area;

			display: grid;

		}

		body {
			counter-reset: float;
		}

		@page vertical {
			size: A5 portrait;

			grid-template-areas: "area -ps-body"
										"area -ps-body";
			grid-template-columns: 40% 1fr;

			@-ps-area area {
				border-right: solid 1px black;
				margin-right: 1em;
				padding-right:	1em;
			}
		}

		@page horizontal {
			size: A5 landscape;

			display: grid;
			grid-template-areas: "-ps-body -ps-body"
										"area area";
			grid-template-rows: 1fr 40% ;

			@-ps-area area {
				border-top: solid 1px black;
				margin-top: 1em;
				padding-top: 1em;
			}
		}

		.float {
			counter-increment: float;
			background-color: azure;
			width: fit-content;
			font-size: small;
		}

		.float-none {
			float: -ps-area(area, none);
		}

		.float-baseline {
			float: -ps-area(area, baseline);
		}

		.float-block-start {
			float: -ps-area(area, block-start-edge);
		}

		.float-block-end {
			float: -ps-area(area, block-end-edge);
		}

		.float-inline-start {
			float: -ps-area(area, inline-start-edge);
		}

		.float-inline-end {
			float: -ps-area(area, inline-end-edge);
		}

		.float::-ps-float-call,
		.float::-ps-float-marker {
			content: counter(float);
			vertical-align: super;
			font-size: small;
		}

		.float::-ps-float-marker {
			content: counter(float) ". ";
			font-size: small;
		}

		p {
			background-color: azure;
		}

		.vertical {
			page: vertical;
		}

		.vertical > p {
			margin: 1em 0;
		}

		.horizontal {
			page: horizontal;
			display: flex;
		}

		.horizontal > p {
			margin: 0 1em;
		}
	</style>
</head>
<body>
<section class="vertical">
	<p>The next float is not aligned and must be at the top of the area.<span class="float float-none">Not aligned</span></p>
	<p>The next float baseline must be aligned to the baseline of this line.<span class="float float-baseline">Aligned to the baseline</span></p>
	<p>The next float top must be aligned to the top of this paragraph.<span class="float float-block-start">Aligned to the the block start edge</span></p>
	<p>The next float bottom must be aligned to the bottom of this paragraph.<span class="float float-block-end">Aligned to the the block end edge</span></p>
	<p>The next float top must be aligned to the top of this call.<span class="float float-inline-start">Aligned to the the inline start edge</span></p>
	<p>The next float bottom must be aligned to the bottom of this call.<span class="float float-inline-end">Aligned to the the inline end edge</span></p>
</section>
<section class="horizontal">
	<p>The next float must be at the top of the area.<span class="float float-none">Not aligned</span></p>
	<p>The next float baseline must be aligned to the baseline of this line.<span class="float float-baseline">Aligned to the the baseline</span></p>
	<p>The next float left must be aligned to the left of this paragraph.<span class="float float-block-start">Aligned to the the block start edge</span></p>
	<p>The next float right must be aligned to the right of this paragraph.<span class="float float-block-end">Aligned to the the block end edge</span></p>
	<p>The next float left must be aligned to the left of this call.<span class="float float-inline-start">Aligned to the the inline start edge</span></p>
	<p>The next float right must be aligned to the right of this call.<span class="float float-inline-end">Aligned to the the inline end edge</span></p>
</section>
</body>
</html>
